using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using System.Web.Mvc.Ajax;
using MvcCRUDDemo.Models;

namespace MvcCRUDDemo.Controllers
{
    public class NewsController : Controller
    {
        //
        // GET: /News/

        public ActionResult Index()
        {
            return RedirectToAction("NewsList");
        }
        public ActionResult NewsList()
        {
            NewsDataDataContext dc = new NewsDataDataContext();
            IEnumerable<News> newsList = dc.News;
            return View(newsList);
        }
        public ActionResult Create()
        {
            News news = new News { CreateTime = DateTime.Now };
            return View(news);
        }
        [AcceptVerbs(HttpVerbs.Post)]
        public ActionResult Create(News news)
        {
            NewsDataDataContext dc = new NewsDataDataContext();
            dc.News.InsertOnSubmit(news);
            dc.SubmitChanges();
            return RedirectToAction("NewsList");
        }
        public ActionResult Details(int id)
        {
            NewsDataDataContext dc = new NewsDataDataContext();
            return View(dc.News.First(n => n.id == id));
        }
        public ActionResult Edit(int id)
        {
            NewsDataDataContext dc = new NewsDataDataContext();
            return View(dc.News.First(n => n.id == id)); 
        }
        [AcceptVerbs(HttpVerbs.Post)]
        public ActionResult Edit(int id, FormCollection formValues)
        {
            NewsDataDataContext dc = new NewsDataDataContext();
            News news = dc.News.First(n => n.id == id);
            UpdateModel(news);
            dc.SubmitChanges();
            return RedirectToAction("Details", new { id = id });
        }
        public ActionResult Delete(int id)
        {
            NewsDataDataContext dc = new NewsDataDataContext();
            News news = dc.News.First(n => n.id == id);
            return View(news);
        }
        [AcceptVerbs(HttpVerbs.Post)]
        public ActionResult Delete(int id, string confirmButton)
        {
            NewsDataDataContext dc = new NewsDataDataContext();
            var news = dc.News.First(n => n.id == id);
            dc.News.DeleteOnSubmit(news);
            dc.SubmitChanges();

            return RedirectToAction("NewsList");
        }
    }
}
